Run of fresh-snapshots for node-markdown-it-html5-embed

Merge these changes:

Summary

Merged new upstream version: 1.0.0+git20180216.1.9f9b729 (was: 1.0.0+ds).

Diff

Branch: main

diff --git a/.gitignore b/.gitignore
deleted file mode 100644
index b25c15b..0000000
--- a/.gitignore
+++ /dev/null
@@ -1 +0,0 @@
-*~
diff --git a/Gemfile b/Gemfile
new file mode 100644
index 0000000..e3dd15e
--- /dev/null
+++ b/Gemfile
@@ -0,0 +1,3 @@
+source "https://rubygems.org"
+
+gemspec name: "markdown-it-html5-embed"
diff --git a/Gemfile.lock b/Gemfile.lock
new file mode 100644
index 0000000..ae8bb58
--- /dev/null
+++ b/Gemfile.lock
@@ -0,0 +1,20 @@
+PATH
+  remote: .
+  specs:
+    markdown-it-html5-embed (1.0.0)
+
+GEM
+  remote: https://rubygems.org/
+  specs:
+    rake (12.3.0)
+
+PLATFORMS
+  ruby
+
+DEPENDENCIES
+  bundler (~> 1.16)
+  markdown-it-html5-embed!
+  rake (~> 12)
+
+BUNDLED WITH
+   1.16.1
diff --git a/Rakefile b/Rakefile
new file mode 100644
index 0000000..a12bbd9
--- /dev/null
+++ b/Rakefile
@@ -0,0 +1,18 @@
+begin
+  require "bundler/setup"
+rescue LoadError
+  puts "You must `gem install bundler` and `bundle install` to run rake tasks"
+end
+
+
+desc "Build gem into the pkg directory"
+task :build do
+  FileUtils.cp("dist/markdown-it-html5-embed.js", "lib/assets/javascripts")
+
+  FileUtils.rm_rf("pkg")
+  Dir["*.gemspec"].each do |gemspec|
+    system "gem build #{gemspec}"
+  end
+  FileUtils.mkdir_p("pkg")
+  FileUtils.mv(Dir["*.gem"], "pkg")
+end
diff --git a/debian/changelog b/debian/changelog
index ab87155..147b6cb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+node-markdown-it-html5-embed (1.0.0+git20180216.1.9f9b729-1) UNRELEASED; urgency=low
+
+  * New upstream snapshot.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 16 Apr 2022 06:20:46 -0000
+
 node-markdown-it-html5-embed (1.0.0+ds-10) unstable; urgency=medium
 
   * team upload
diff --git a/lib/assets/javascripts/.gitkeep b/lib/assets/javascripts/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/lib/markdown-it-html5-embed.rb b/lib/markdown-it-html5-embed.rb
new file mode 100644
index 0000000..5002fea
--- /dev/null
+++ b/lib/markdown-it-html5-embed.rb
@@ -0,0 +1,4 @@
+module MarkdownItHtml5Embed
+  class Engine < ::Rails::Engine
+  end
+end
diff --git a/markdown-it-html5-embed.gemspec b/markdown-it-html5-embed.gemspec
new file mode 100644
index 0000000..5f2abae
--- /dev/null
+++ b/markdown-it-html5-embed.gemspec
@@ -0,0 +1,17 @@
+Gem::Specification.new do |spec|
+  spec.name          = "markdown-it-html5-embed"
+  spec.version       = "1.0.0"
+  spec.authors       = ["cmrd Senya"]
+  spec.email         = ["senya@riseup.net"]
+
+  spec.summary       = "This is a plugin for markdown-it which adds support for embedding audio/video in the HTML5 way"
+  spec.description   = " This is a plugin for markdown-it which adds support for embedding audio/video in the HTML5 way "
+  spec.homepage      = "https://github.com/cmrd-senya/markdown-it-html5-embed"
+
+  spec.files         = ["lib/markdown-it-html5-embed.rb", "lib/assets/javascripts/markdown-it-html5-embed.js"]
+  spec.require_paths = ["lib"]
+  spec.license       = "MPL-2.0"
+
+  spec.add_development_dependency "bundler", "~> 1.16"
+  spec.add_development_dependency "rake", "~> 12"
+end

Branch: pristine-tar

diff --git a/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.delta b/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.delta
new file mode 100644
index 0000000..247535d
Binary files /dev/null and b/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.delta differ
diff --git a/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.id b/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.id
new file mode 100644
index 0000000..8ce0653
--- /dev/null
+++ b/node-markdown-it-html5-embed_1.0.0+git20180216.1.9f9b729.orig.tar.gz.id
@@ -0,0 +1 @@
+9e9b75fa913c2e0eb0a5c93b23c617393f63c53a

Branch: upstream

Tag: upstream/1.0.0+git20180216.1.9f9b729
diff --git a/.gitignore b/.gitignore
deleted file mode 100644
index b25c15b..0000000
--- a/.gitignore
+++ /dev/null
@@ -1 +0,0 @@
-*~
diff --git a/Gemfile b/Gemfile
new file mode 100644
index 0000000..e3dd15e
--- /dev/null
+++ b/Gemfile
@@ -0,0 +1,3 @@
+source "https://rubygems.org"
+
+gemspec name: "markdown-it-html5-embed"
diff --git a/Gemfile.lock b/Gemfile.lock
new file mode 100644
index 0000000..ae8bb58
--- /dev/null
+++ b/Gemfile.lock
@@ -0,0 +1,20 @@
+PATH
+  remote: .
+  specs:
+    markdown-it-html5-embed (1.0.0)
+
+GEM
+  remote: https://rubygems.org/
+  specs:
+    rake (12.3.0)
+
+PLATFORMS
+  ruby
+
+DEPENDENCIES
+  bundler (~> 1.16)
+  markdown-it-html5-embed!
+  rake (~> 12)
+
+BUNDLED WITH
+   1.16.1
diff --git a/Rakefile b/Rakefile
new file mode 100644
index 0000000..a12bbd9
--- /dev/null
+++ b/Rakefile
@@ -0,0 +1,18 @@
+begin
+  require "bundler/setup"
+rescue LoadError
+  puts "You must `gem install bundler` and `bundle install` to run rake tasks"
+end
+
+
+desc "Build gem into the pkg directory"
+task :build do
+  FileUtils.cp("dist/markdown-it-html5-embed.js", "lib/assets/javascripts")
+
+  FileUtils.rm_rf("pkg")
+  Dir["*.gemspec"].each do |gemspec|
+    system "gem build #{gemspec}"
+  end
+  FileUtils.mkdir_p("pkg")
+  FileUtils.mv(Dir["*.gem"], "pkg")
+end
diff --git a/lib/assets/javascripts/.gitkeep b/lib/assets/javascripts/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/lib/markdown-it-html5-embed.rb b/lib/markdown-it-html5-embed.rb
new file mode 100644
index 0000000..5002fea
--- /dev/null
+++ b/lib/markdown-it-html5-embed.rb
@@ -0,0 +1,4 @@
+module MarkdownItHtml5Embed
+  class Engine < ::Rails::Engine
+  end
+end
diff --git a/markdown-it-html5-embed.gemspec b/markdown-it-html5-embed.gemspec
new file mode 100644
index 0000000..5f2abae
--- /dev/null
+++ b/markdown-it-html5-embed.gemspec
@@ -0,0 +1,17 @@
+Gem::Specification.new do |spec|
+  spec.name          = "markdown-it-html5-embed"
+  spec.version       = "1.0.0"
+  spec.authors       = ["cmrd Senya"]
+  spec.email         = ["senya@riseup.net"]
+
+  spec.summary       = "This is a plugin for markdown-it which adds support for embedding audio/video in the HTML5 way"
+  spec.description   = " This is a plugin for markdown-it which adds support for embedding audio/video in the HTML5 way "
+  spec.homepage      = "https://github.com/cmrd-senya/markdown-it-html5-embed"
+
+  spec.files         = ["lib/markdown-it-html5-embed.rb", "lib/assets/javascripts/markdown-it-html5-embed.js"]
+  spec.require_paths = ["lib"]
+  spec.license       = "MPL-2.0"
+
+  spec.add_development_dependency "bundler", "~> 1.16"
+  spec.add_development_dependency "rake", "~> 12"
+end

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1257, max open: 300)
  • ☑ change set 5146f525-23b7-42d7-aebb-218bd1c6ba9f is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots libjs-markdown-it-html5-embed

Lintian Result

Full worker log Full build log